[Unit]
Description=Buildstream Artifact pull server
After=remote-fs.target network-online.target

[Service]
Environment="LC_ALL=C.UTF-8"
ExecStart=/usr/local/bin/bst-artifact-server --port 11001 --server-key {{certs_path}}/{{ssl_url}}/privkey.pem --server-cert {{certs_path}}/{{ssl_url}}/fullchain.pem /home/artifacts/artifacts/
User=artifacts
OOMScoreAdjust=-1000  # This disables OOM killing for this process

[Install]
WantedBy=multi-user.target

